Subject: Re: linux-next: build failure after merge of the kbuild tree

From: Michael Ellerman <[email-masked]>
Date: Thu, 28 Jul 2016 12:40:04 +1000

Stephen Rothwell <[email-masked]> writes:

> Hi Michal,
>
> After merging the kbuild tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
>
...
> arch/powerpc/mm/hash_utils_64.c:929:10: note: in expansion of macro 'IS_ENABLED'
>   else if IS_ENABLED(CONFIG_PPC_NATIVE)
>           ^
> cc1: all warnings being treated as errors
>
> Caused by commit
>
>   7353644fa9df ("powerpc/mm: Fix build break when PPC_NATIVE=n")
>
> from the powerpc tree interacting with commit
>
>   5e8754fd80b0 ("kconfig.h: allow to use IS_{ENABLE,REACHABLE} in macro expansion")
>
> from the kbuild tree.

**expletive deleted**

I was wary of IS_ENABLED(), I should have trusted my instincts.

> I have applied the following fix patch (that should be applied to the
> powerpc tree):

Applied, thanks.

cheers